---
Name: clidesc_logging
Only:
  envvarset: CLIDESC_LOG_FILE
---
SilverStripe\Core\Injector\Injector:
  Psr\Log\LoggerInterface:
    calls:
      LogFileHandler: [ pushHandler, [ '%$LogFileHandler' ] ]
  LogFileHandler:
    class: Monolog\Handler\StreamHandler
    constructor:
      - "`CLIDESC_LOG_FILE`"
      - "debug"
